#ifndef CM_PERSON_VIEW_H
#define CM_PERSON_VIEW_H

#include "Shared.h"

class CMPersonView : public BView
{
	public:
		CMPersonView(BRect rect);
		
		virtual void Draw(BRect drawRect);
		virtual void FrameResized(float width, float height);
		virtual void ChangePerson(const char* Name);
		virtual void DoEverything();
		const char* fperson;
	private:
		bool AreHidden;
		bool DoneOnce;
		bool IsNewCustomer;
		bool CustomerIsOpen;
		const char *WorkingFolder;
		
		BString str;
		BTextControl*		Name;
		BTextControl*		Company;
		BTextControl*		Phone;
		BTextControl*		CellPhone;
		BTextControl*		Fax;
		BTextControl*		Email;
		BTextControl*		Address1;
		BTextControl*		Address2;
		BTextControl*		referal;
		BTextControl*		FirstDate;
		BStringView*		since;
		BPoint				PrevSize; // For monitoring diff in frame size
	
};

#endif

