#ifndef CM_WINDOW_H
#define CM_WINDOW_H

#include "Shared.h"

class CMWindow : public BWindow
{
	public:
		CMWindow(BRect rect);
		
		virtual void MessageReceived(BMessage *msg);
		virtual void DoEverything();
		virtual void WorkspacesChanged(uint32 oldWorkSpaces, uint32 oldWorkSpaces);
		virtual void FrameResized(float width, float height);
		virtual void FrameMoved(BPoint origin);
	
	private:
		uint32 StartedWorkspace;

};

#endif

